<template>
  <div
    :id="product.slug"
    class="relative p-3 bg-white border border-transparent rounded shadow-lg hover:shadow-xl hover:border-primary-100"
  >
    <div class="grid grid-cols-3 gap-5">
      <!-- Media -->
      <div class="col-span-1">
        <div>
          <nuxt-link
            :to="{
              name: 'shop-slug',
              params: { slug: product.slug, productType: product.type },
            }"
            class="w-full h-full"
          >
            <img
              v-lazy="product.productImages.image"
              class="object-contain object-center w-full h-full"
              :alt="product.name"
              loading="lazy"
            />
          </nuxt-link>
        </div>
      </div>

      <!-- Body -->
      <div class="col-span-2">
        <div>
          <span class="text-sm text-secondary-300">
            {{
              product.name.split(' - ')[1].replace('--', ' ').replace(/_/g, ' ')
            }}
          </span>
          <nuxt-link
            :to="{
              name: 'shop-slug',
              params: { slug: product.slug, productType: product.type },
            }"
            class="hover:text-primary-400"
          >
            <h3 class="text-sm font-semibold">
              {{ product.name.split(' - ')[0] }}
            </h3>
          </nuxt-link>
          <h3 class="mt-3 text-lg font-semibold">US{{ product.price }}</h3>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    product: {
      type: Object,
      required: true,
    },
  },
}
</script>
